
/* defines regex patterns for main */
#define MAT_TABLE 1
#define MAT_CHAIN 2

/*	Edit the following lines with care :)	*/
/* before fix incomplete trigger data
#define TABLE_PAT "^([A-Za-z]{3})[[:space:]]{1,2}([0-9]{1,2})[[:space:]]+([0-9]{1,2}:[0-9]{1,2}:[0-9]{1,2})[[:space:]]{1}.+kernel:[[:space:]]{1}(.*)[[:space:]]{0,1}IN=([[:alnum:][:space:]]*)[[:space:]]{1}OUT=([[:space:][:alnum:]]*)[[:space:]]{1}([[:alnum:][:space:]:MAC=]*)SRC=([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3})[[:space:]]{1}DST=([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3})[[:space:]]{1}LEN=([[:digit:]]+)[[:space:]]{1}TOS=([[:alnum:]]+)[[:space:]]{1}PREC=([[:alnum:]]+)[[:space:]]{1}TTL=([[:digit:]]+)[[:space:]]{1}ID=([[:digit:]]+)[[:space:]]{1}([[:alnum:][:space:]\\(\\):]*)PROTO=((ICMP)[[:space:]]{1}TYPE=([0-9]{1,2})[[:space:]]{1}CODE=([0-9]{1,2})[[:space:]]{1}ID=[[:digit:]]+[[:space:]]{1}SEQ=[[:digit:]]+||(ICMP)[[:space:]]{1}TYPE=([0-9]{1,2})[[:space:]]{1}CODE=([0-9]{1,2})[[:space:]]{1}(\\[.*\\])||(TCP)[[:space:]]{1}SPT=([0-9]{1,5})[[:space:]]{1}DPT=([0-9]{1,5})[[:space:]]{1}.*WINDOW=([[:digit:]]+)[[:space:]]{1}RES=([[:alnum:]]+)[[:space:]]{1}(.+)[[:space:]]{0,1}URGP=[[:digit:]]*||(UDP)[[:space:]]{1}SPT=([0-9]{1,5})[[:space:]]{1}DPT=([0-9]{1,5})[[:space:]]{1}LEN=([[:digit:]]+)||(ESP)(.+)||(AH)(.+)||([[:alpha:]]+)$)"
*/
#define TABLE_PAT "^([A-Za-z]*)[[:space:]]*([0-9]*)[[:space:]]*([0-9]*:[0-9]*:[0-9]*)[[:space:]]*.+kernel:[[:space:]]{1}(.*)[[:space:]]{0,1}IN=([[:alnum:][:space:]]*)[[:space:]]{1}OUT=([[:space:][:alnum:]]*)[[:space:]]{1}([[:alnum:][:space:]:MAC=]*)SRC=([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3})[[:space:]]{1}DST=([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3})[[:space:]]{1}LEN=([[:digit:]]+)[[:space:]]{1}TOS=([[:alnum:]]+)[[:space:]]{1}PREC=([[:alnum:]]+)[[:space:]]{1}TTL=([[:digit:]]+)[[:space:]]{1}ID=([[:digit:]]+)[[:space:]]{1}([[:alnum:][:space:]\\(\\):]*)PROTO=((ICMP)[[:space:]]*[TYPE=]*([0-9]*)[[:space:]]*[CODE=]*([0-9]*)[[:space:]]*[ID=]*[[:digit:]]*[[:space:]]*[SEQ=]*[[:digit:]]*||(ICMP)[[:space:]]{1}TYPE=([0-9]{1,2})[[:space:]]{1}CODE=([0-9]{1,2})[[:space:]]{1}(\\[.*\\]*)||(TCP)[[:space:]]*[SPT=]*([0-9]*)[[:space:]]*[DPT=]*([0-9]*)[[:space:]]*[SEQ=]*[[:digit:]]*[[:space:]]*[ACK=]*[[:digit:]]*[[:space:]]*[WINDOW=]*([[:digit:]]*)[[:space:]]*[RES=]*([[:alnum:]]*)[[:space:]]*([[:upper:][:space:]]*).*$||(UDP)[[:space:]]*[SPT=]*([0-9]*)[[:space:]]*[DPT=]*([0-9]*)[[:space:]]*[LEN=]*([[:digit:]]*)||(ESP)(.+)||(AH)(.+)||([[:alpha:]]+)$)"
/* #define CHAIN_PAT "^([A-Za-z]{3})[[:space:]]{1,2}([0-9]{1,2})[[:space:]]+([0-9]{1,2}:[0-9]{1,2}:[0-9]{1,2}).+kernel:.+log:[[:space:]]{1}([[:alnum:]]+)[[:space:]]{1}([A-Z]+)[[:space:]]{1}([a-z0-9]+)[[:space:]]{1}PROTO=([0-9]{1,2})[[:space:]]{1}([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}):([0-9]{1,5})[[:space:]]{1}([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}):([0-9]{1,5})[[:space:]]{1}L=([[:digit:]]+)[[:space:]]{1}S=([[:digit:]x]+)[[:space:]]{1}I=([[:digit:]]+)[[:space:]]{1}F=([[:digit:]x]+)[[:space:]]{1}T=([[:digit:]]+)[[:space:]]{1}([SYN]*)[[:space:]]*[\\(]*[#]*(([[:digit:]]*))[\\)]*"
 	Redefine CHAIN_PAT to handle "REDIRECT [[:digit:]]*" below 
 	Remove this comment after testing */
#define CHAIN_PAT "^([A-Za-z]{3})[[:space:]]{1,2}([0-9]{1,2})[[:space:]]+([0-9]{1,2}:[0-9]{1,2}:[0-9]{1,2}).+kernel:.+log:[[:space:]]{1}([[:alnum:][:punct:]]+)[[:space:]]{1}([A-Z]+[[:space:][:digit:]]*)[[:space:]]{1}([a-z0-9]+)[[:space:]]{1}PROTO=([0-9]{1,2})[[:space:]]{1}([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}):([0-9]{1,5})[[:space:]]{1}([0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}):([0-9]{1,5})[[:space:]]{1}L=([[:digit:]]+)[[:space:]]{1}S=([[:alnum:]]+)[[:space:]]{1}I=([[:digit:]]+)[[:space:]]{1}F=([[:digit:]x]+)[[:space:]]{1}T=([[:digit:]]+)[[:space:]]{1}([SYN]*)[[:space:]]*[\\(]*[#]*(([[:digit:]]*))[\\)]*"
